/*
 * DesktopApplication1.java
 */

package jfileaid;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;
import org.nla.cobol.*;

/**
 * The main class of the application.
 */
public class JFileAid extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        show(new JFileAidView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of DesktopApplication1
     */
    public static JFileAid getApplication() {
        return Application.getInstance(JFileAid.class);
    }


    /** cobol copybook */
    protected CobolCopyBook copyBook;

    /** cobol file */
    protected CobolFile cobolFile;

    /** cobol copy / file mapper */
    protected CopyFileMapper mapper;




    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(JFileAid.class, args);
    }
}
